Bug 1139130 - Signal "ID" should be renamed in the eclipse BPMN designer in the same way as web designer
Summary: Signal "ID" should be renamed in the eclipse BPMN designer in the same way as...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Marek Baluch
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-08 07:42 UTC by ksuzumur
Modified: 2020-03-27 20:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:12:10 UTC
Type: Enhancement


Attachments (Terms of Use)

Description ksuzumur 2014-09-08 07:42:09 UTC
Description of problem:
Signal "ID" should be renamed in the eclipse BPMN designer in the same way as web designer. The user can not set a meaningful signal ID.

Version-Release number of selected component (if applicable):
JBPM 6.0.2
JBDS 7.1.1

How reproducible:
Create Signal in the eclipse BPMN designer


Steps to Reproduce:
1. Create Signal in the eclipse BPMN designer
2. We can not change the Signal ID

Actual results:
set a meaningless id like a Signal_1(Signal_2, _3 ..)

Expected results:
We can change the Signal ID.
Or
If we set the Signal Name, the same value is set in the Signal ID in the same way as web designer.


Additional info:

Comment 1 Marek Baluch 2014-10-07 08:14:36 UTC
Works well in community BPMN2 Modeler - Diagram Editor 1.1.1.201409261846 but not yet included in JBDSIS (tested on 8.0.0.Alpha2)

Comment 2 Robert (Bob) Brodt 2014-10-10 16:34:44 UTC
Fixed in 1.1.1 (luna) and 1.0.3 (kepler) versions of the editor, which will be in the next JBDSIS release.

Comment 3 Jozef Marko 2014-11-07 06:59:01 UTC
Verified on jbdsis-8.0.0.Beta1. User must check source file of modeled process, but Signal ID and Signal name are equals, it is ok.


Note You need to log in before you can comment on or make changes to this bug.